package com.brilliance.isc.convert.mt9xx;

import com.brilliance.isc.swift.objmtconvert.manager.MtCreatorManager;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT760Creator;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT986Creator;
import com.brilliance.isc.swift.objmtconvert.result.MtResult;
import com.brilliance.isc.swift.objmtconvert.util.JsonUtil;
import org.junit.Test;

import java.util.HashMap;
import java.util.Map;

/**
 * @author hedonghao
 * @date 2023/2/24
 */
public class Mt986Test {
    @Test
    public void mt986_Test(){

        MT986Creator mt986Creator=new MT986Creator("986");//报文类型

        //20
        mt986Creator.setTransactionReferenceNumber("dfdv");//16x
        //21
        mt986Creator.setRelatedReference("dsff");//16x
        //59
        mt986Creator.setEnquiredParty("453\n534");//[/34x]<crlf>4*35x
        //79
        mt986Creator.setNarrative("sfeffd");//35*50x



        MtResult mtResult = MtCreatorManager.packMT(mt986Creator);
    }

}
